<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require("conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

if(isset($_POST["idReceptor"]))
{
			$idReceptor=$_REQUEST["idReceptor"];
			$tipodocto=$_REQUEST["tipodocto"];
			$usarRutaDistribuida=$_REQUEST["usarRutaDistribuida"];
			$rutapdf=$_REQUEST["rutapdf"];
			$rutaxml=$_REQUEST["rutaxml"];
			$adicional=$_REQUEST["adicional"];
}
$query="select idReceptor,tipodocto from tdoctos_r where idReceptor='$idReceptor' and tipodocto='$tipodocto'";
$rquery = mysqli_query($conexion->CONEXION,$query);

if(mysqli_num_rows($rquery) > 0)
{
		$query="Update tdoctos_r set usarRutaDistribuida='$usarRutaDistribuida', 
		rutapdf_p='$rutapdf', rutaxml_p='$rutaxml', adicional='$adicional'
		where idReceptor='$idReceptor' and tipodocto='$tipodocto'";
		$rquery=mysqli_query($conexion->CONEXION,$query);
		
		$mensaje="Documento actualizado satisfactoriamente";
		$error="Ocurrio un error al actualizar el documento";
	
}else if(isset($_POST["idReceptor"]))
{
			$query="insert into tdoctos_r set idReceptor='".$_POST["idReceptor"]."',tipodocto='$tipodocto', usarRutaDistribuida='$usarRutaDistribuida', 
			rutapdf_p='$rutapdf', rutaxml_p='$rutaxml', adicional='$adicional'";
			$rquery=mysqli_query($conexion->CONEXION,$query);
			
			$mensaje="Documento dado de alta satisfactoriamente";
			$error="Ocurrio un error al dar de alta el documento";
}
			
if(mysqli_errno($conexion->CONEXION) != 0)
	echo "ERROR:".mysqli_error($conexion->CONEXION);
else{
	if($_POST['reloadGridAfterSave'] != ""){
		if($_POST['valLiga'] != ""){
			$valLiga = explode("|",$_POST['valLiga']);
			$ids = "";
			for($i = 0; $i < count($valLiga); $i++){
					$ids.=",'".$valLiga[$i]."'";
			}
		}
		?><script>tools('<?=$_POST['reloadGridAfterSave']?>'<?=$ids?>); $j_6('#closeModal').click();</script><?
	}
}
?>